/* /* xs 
@media (min-width: 475px) {

}
/* sm 
@media (min-width: 640px) {

}
/* md 
@media (min-width: 768px) {

}
/* lg 
@media (min-width: 1024px) {

}

/* xl 
@media (min-width: 1280px) {

}
/* xxl 
@media (min-width: 1536px) {

} */
:root {
    --clr-dark: #030712;
    --clr-light: #f1f5f9;
    --clr-slate400: #94a3b8;
    --clr-slate600: #475569;
    --clr-slate800: #1e293b;
    --clr-grey: #222;
    --clr-rose: #e11d48;
    --clr-indigo: #4f46e5;

    /* Rose: rgb(225, 29, 72) */
    /* Indigo: rgb(79, 70, 229) */

    /* sizes */
    --size-xxs: 0.5rem;
    --size-xs: 0.75rem;
    --size-xxs: 0.875rem;
    --size-base: 1rem;
    --size-lg: 1.125rem;
    --size-xl: 1.25rem;
    --size-2xl: 1.5rem;
    --size-3xl: 1.875rem;
    --size-4xl: 2.25rem;
    --size-5xl: 3rem;
    --size-6xl: 3.75rem;
    --size-7xl: 4.5rem;
    --size-8xl: 6rem;
    --size-9xl: 8rem;
    --size-10xl: 10rem;
}
/* gives spaceing for the entire page 1.5em */
* {
    margin: 0;
    line-height: calc(1em + 1rem);
}

html {
    /* gives transition to scroll */
    scroll-behavior: smooth;
    /* background-color: #030712; */
}

body {
    font-family: 'General Sans', sans-serif;
    background-color: var(--clr-dark);
    /* background-color: var(--clr-light); */
    color: var(--clr-light);
}

footer {
    text-align: center;
    padding: 3rem 0;
    background: var(--clr-grey);
    color: var(--clr-light);
    margin-top: 10rem;
}

img,
picture,
video,
canvas,
svg {
    display: block;
    max-width: 100%;
    user-select: none;
}

button {
    display: inline-block;
    padding: 0;
    border: none;
    background: none;
    cursor: pointer;
    color: inherit;
}

a {
    color: var(--clr-rose);
}

strong {
    color: var(--clr-indigo)
}